Subject: [mobile-ip] Revised version of AAA keys document

From: "Charles E. Perkins" <[email-masked]>
Date: Wed, 27 Feb 2002 13:09:49 -0800

Hello folks,

The AAA keys document has been substantially revised with
a number of major changes.  Here is the summary of the changes,
taken from the new appendix in the AAA keys draft.  If there
are comments on these changes, I can try to incorporate them
before Friday.  I will try to put the draft on my web page
as soon as it becomes available again (darn power hits...).
The URL will be:
	http://people.nokia.net/txt/mobilekey/mip-key.txt

Regards,
Charlie P.

==========================================================================

A. Changes Since Previous Revision
   
   In this revision of the document, there have been several major
   changes as a result of suggestions received during Last Call.
   
    -  Generalized Key Extensions previously specified in another
       document have been instead specified in this document in order
       that this document can be self-contained and not dependent on the
       standardization status of the other document.
   
    -  Additional explanation has been included for the purposes of
       clarifying the problem space and solution approach.
       
    -  An appendix has been added to describe the expected AAA
       infrastructure that will produce the keys that are to be
       distributed within the extensions specified in this document.
       
    -  Ladder diagrams have been included to illustrate the expected
       message flows containing the extensions defined in this document.
       
    -  HMAC-MD5 has been mandated for implementation by the mobile node,
       for compatibility with RFC 3220 [12].  The example text has been
       modified accordingly (see section 5).
       
    -  A table of Algorithm Identifiers has been identified as the
       numbering space for algorithm selection when establishing
       the security association using the keys distributed with the
       extensions in this document.  See section 4.
   
    -  A terminology section has been added.
       
    -  This appendix has been added.